Subject: Re: IRC Apple meeting scheduled
From: [email-masked] (Helen Trillian Rose)
Date: 3 Oct 91 22:54:55 GMT
Newsgroups: comp.sys.apple2

<<<<< disclaimer, I don't read this newsgroup, I came here looking for
something and saw postings and questions about IRC ... here's a small
introduction -- FEEL FREE TO EMAIL ME for more info >>>>>

-----

(1) What is IRC? 

	IRC stands for "Internet Relay Chat". It was written by Jarkko
Oikarinen ([email-masked]) in 1988. Since starting in Finland, it
has been used in some 20+ countries spanning the globe.  It was designed
as a replacement for the "talk" program but has become much much more
than that. IRC is a multi-user chat system, where people convene on
"channels" (a virtual place, usually with a topic of conversation) to
talk in groups, or privately. 
	IRC gained international fame during the late Persian Gulf War,
where updates from around the world came accross the wire, and most
people on irc gathered on a single channel to hear these reports. 

(2) How is IRC set up?

	The user runs a "client" program (usually called 'irc') which
connects to the irc network via another program called a "server".
Servers exist to pass messages from user to user over the irc network.

(3) How do I use a client?

	You either compile the source yourself, have someone else on
your machine compile the source for you, or use the TELNET client.
"telnet bradenville.andrew.cmu.edu". Please only use the latter when you
have no other way of reaching irc, as this resource is quite limited.

(4) Where can I get source for the irc client?

UNIX client-> cs.bu.edu irc/ircII2.1.3c.tar.Z
	      plod.cbme.unsw.oz.au
	      nic.funet.fi pub/unix/irc/ircII2.1.tar.Z
	      ftp.informatik.tu-muenchen.de pub/net/irc/ircII2.1.3c.tar.Z
	      slopoke.mlb.semi.harris.com
EMACS elisp-> cs.bu.edu
	      nic.funet.fi
              ftp.informatik.tu-muenchen.de
	      slopoke.mlb.semi.harris.com
EMACS elisp "irchat"->  lehtori.cc.tut.fi:/pub/irchat
VMS ->	a client for multinet TCP/IP is packaged with the server code, 
        avaliable from all the above sites except plod.cbme.unsw.oz.au.
	a client for Wollongong TCP/IP is avaliable from vaxb.acs.unt.edu

REXX client for VM-> ftp.informatik.uni-oldenburg.de pub/irc/rxirc

(5) Which server do I connect to?

	It's usually best to try and connect to one geographically
close, even though that may not be the best. You can always ask when you
get on irc. Here's a list of servers avaliable for connection:
		bucsd.bu.edu
		lyman.pppl.gov
		ucsu.colorado.edu
		badger.ugcs.caltech.edu
		dharma.cpac.washington.edu
		ug.cs.dal.ca
		nic.funet.fi
		coombs.anu.edu.au
		fysak.fys.ruu.nl
		sunsystem2.informatik.tu-muenchen.de

This is, by no means, a comprehensive list, but merely a start. Connect
to the closest of these servers and send a /wallops. (/wallops means
"write to all operators"). Something along the lines of ->
/wallops I'm from site [insert sitename here], what would be a good
server for me to connect to.

(6) OK, I've got a client and I'm connected to a server? Now what?

	It's probably best to take a look around and see what you want
to do first. All irc commands start with a "/", and most are one word.
Typing /help will get you help information. /names will get you a list
of names, etc. 

The output is typically something like this-> (Note there are more
channels than this, this is just sample output).

Pub: +hack      zorgo eiji Patrick fup htoaster 
Pub: +Nippon    @jircc @miyu_d 
Pub: +nicole    MountainD 
Pub: +hottub    omar liron beer Deadog moh pfloyd Dode greywolf SAMANTHA

"Pub" means public (or "visible") channel. "hack" is the channel name.
"+" is the type (see number 7 below). A "@" before someone's nickname
indicates he/she is the "Channel operator" of that channel. A Channel
Operator is someone who has control over a specific channel. It can be
shared or not as the first Channel Operator sees fit. The first person
to join the channel automatically gets Channel Operator, and can share
it with anyone he/she chooses (or not).

(7) What is the difference between "+" and "#" channels?

	Nothing. Well, nothing apart from the fact that you can join
only one "+" channel and up to ten "#" channels. Sometimes "#" channels
are viewed as "auxillary" channels. The only thing "#" channels can't do
that "+" channels can, currently, is that they cannot have TOPICs set.
This is hoped to be fixed in the future.

(8) What are good channels to try while using irc?

	+hottub and +initgame are almost always teeming with people.
+hottub is meant to simulate a hot tub, and +initgame is non-stop game
of "inits" (initials). Just join and find out! 
	Many irc operators are in #Twilight_Zone ... so if you join
that channel and don't hear much talking, don't worry, it's not because
you joined, operators don't talk much on that channel anyways!

(9) What if someone tells me to type something cryptic?

	Never type anything anyone tells you to without knowing what it
is. There is a problem with typing a certain command with the ircII
client that gives anyone immediate control of your client (and thus can
alter your account environment also).

(10) What is NickServ? What if I can't remember my NickServ password?

	To quote from NickServ's help text, NickServ's purpose is to
keep unique nicknames on irc. NickServ sends a warning to anyone else
who signs on with your nickname.  If you don't use IRC for 10 weeks,
your nickname expires for reuse. 

	Only a NickServ operator can change your nickserv password.
To find out which NickServ operators are online, send
/msg [email-masked] OPERWHO

Nicknames with a "*" next to them are online at the time.

(11) Where can I learn more?

	A good place to start might be downloading the irc tutorials.
They're avaliable via anonymous ftp from cs.bu.edu:/irc/tutorial.*

(12) What do I do if I'm still confused or have additions to this posting?

	email [email-masked] or ask for help (via wallops) on irc.

-- 
Helen Trillian Rose             	irc operators mailing list
Electronic Frontier Foundation   	[email-masked]
Systems and Networks Administration	Flames to: 
<[email-masked], [email-masked]>	[email-masked]